# $Revision: 1.33 $, $Date: 2003/01/10 20:49:54 $
Summary:	Computer chess program
Summary(de):	Computerschachprogramm
Summary(es):	Juego de ajedrez de la GNU
Summary(fr):	Jeu d'checs
Summary(pl):	Gra w szachy
Summary(pt_BR):	Jogo de xadrez da GNU
Summary(ru):	  GNU
Summary(tr):	Bilgisayar satran oyunu
Summary(uk):	  GNU
Name:		gnuchess
Version:	4.0.pl80
Release:	10
License:	GPL
Group:		Applications/Games
Source0:	ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz
Source1:	xchess.png
Source2:	%{name}.desktop
Patch0:		%{name}-fhs.patch
Patch1:		%{name}-ncurses.patch
Patch2:		%{name}-ac_fixes.patch
Icon:		xchess.xpm
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	chessprogram

%description
The gnuchess package contains the GNU chess program. By default,
GNUchess uses a curses text-based interface. Alternatively, GNUchess
can be used in conjunction with the xboard user interface and the X
Window System for a graphical chessboard.

%description -l de
Das berhmte GNU-Schachprogramm. Es ist textorientiert, kann aber mit
'xboard' verwendet werden, um X-orientiertes Schach zu spielen.

%description -l es
Este es el famoso programa de ajedrez de GNU. Est basado en texto,
pero puede ser usado en conjuncin con xboard para jugar ajedrez
basado en X.

%description -l fr
Le fameux programme de jeu d'checs de GNU. Il est en mode texte mais
peut tre utilis avec xboard pour y jouer sous X.

%description -l pl
Oto sawny GNU program szachowy. Jest w trybie tekstowym, ale w
poczeniu z xboard moe mie interfejs w X Window.

%description -l pt_BR
Este  o famoso programa de xadrez da GNU.  baseado em texto, mas
pode ser usado em conjuno com xboard para jogar xadrez baseado em X.

%description -l ru
 gnuchess    GNU.   GNUchess
     curses.  
     xboard,  
  X Window System.

%description -l tr
Bu nl GNU satran programdr. Metin ekranda alr ama xboard
program ile birlikte kullanlarak X altnda da oynanabilir.

%description -l uk
 gnuchess ͦ   GNU.   GNUchess
դ    צ curses.  
   Ҧ   xboard,  դ
Ʀ  Ц X Window System.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/games/gnuchess,%{_mandir}/man6} \
	$RPM_BUILD_ROOT{%{_applnkdir}/Games/Board,%{_pixmapsdir}}

cd src
%{__make} install prefix=$RPM_BUILD_ROOT%{_prefix} \
	exec_prefix=$RPM_BUILD_ROOT%{_prefix}

install %{SOURCE1} $RPM_BUILD_ROOT%{_pixmapsdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_applnkdir}/Games/Board

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Games/Board/*
%{_pixmapsdir}/*
%{_datadir}/games/gnuchess
%{_mandir}/man6/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnuchess.spec,v $
Revision 1.33  2003/01/10 20:49:54  ankry
- release 10, STBR
  [ missed desktop file fix ]

Revision 1.32  2002/12/24 00:26:01  qboosh
- updated Source0 URL

Revision 1.31  2002/05/21 23:13:19  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/25 16:27:31  arturs
fixed a small typo

Revision 1.29  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.27  2001/12/06 10:24:35  kloczek
- reelase 9,
- merge translation fron Conectiva and KSI,
- added ac_fixes patch and regenerate ac files,
- move desktop file to Games/Board.

Revision 1.26  2001/09/28 23:30:47  blues
- release 8
- configure2_13 used

Revision 1.25  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.24  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.23  2000/07/13 23:09:47  baggins
- release 7
- rebuild with ncurses 5.1

Revision 1.22  2000/07/13 20:41:13  baggins
- release 6

Revision 1.21  2000/06/13 09:41:04  kloczek
- added "Provides: chessprogram".

Revision 1.20  2000/06/13 08:48:12  kloczek
- release 5,
- added desktop file and package icon.

Revision 1.19  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/20 13:53:44  kloczek
- spec adapterized.

Revision 1.17  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.16  2000/03/28 16:54:22  baggins
- translated kloczkish into english

Revision 1.15  2000/01/21 01:01:03  kloczek
- release 4,
- added stripping binaries.

Revision 1.14  1999/11/19 06:55:07  kloczek
- release 3,
- build agains ncurses 5.0,
- new %description.

Revision 1.13  1999/08/05 16:01:00  kloczek
- removed commented line with Icon,
- added BuildRequires: ncurses-devel.

Revision 1.12  1999/08/05 15:53:02  kloczek
- updated to 4.0.pl80,
- added using %%configure macro.

Revision 1.11  1999/07/20 17:42:50  baggins
- FHS 2.0 compliance
- gziping man pages

Revision 1.10  1999/07/12 23:05:57  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Sep 27 1998 Marcin 'Qrczak' Kowalczyk <qrczak@knm.org.pl>
  [4.0.pl77-6]
- use %%{name} and %%{version} macros,
- added %setup -q parameter,
- `mkdir -p' replaced with more standard `install -d',
- simplified %files list and added full %attr description in %files,
- added pl translation,
- simplified install scripts.

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Fri Oct 17 1997 Donnie Barnes <djb@redhat.com>
- BuildRoot'ed

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
